> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.whizcozy.com/api-reference/whiz-board-api/uploads/initiate-resumable-api-v-1-firms-firm-slug-uploads-resumable-initiate-post/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.whizcozy.com/_mcp/server. # Initiate Resumable POST https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/{firm_slug}/uploads/resumable/initiate Content-Type: application/json Reference: https://docs.whizcozy.com/api-reference/whiz-board-api/uploads/initiate-resumable-api-v-1-firms-firm-slug-uploads-resumable-initiate-post ## Authentication - `Authorization` header (required) — API Key authentication via header ## Request ### Path parameters - `firm_slug` (string, required) ### Body (application/json) This endpoint expects a ResumableInitiateRequest. - `filename` (string, required) - `mime_type` (string, required) - `size` (integer, required) - `folder_id` (integer, optional, nullable) - `shared_with_user_ids` (list of integer, optional) - `upload_context` (enum, optional, default: files) - Allowed values: `files`, `ai_chat` - `chat_session_id` (integer, optional, nullable) ## Response ### 200 Successful Response - `data` (ResumableInitiateResponse, required) - `status` (string, optional, default: success) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ResumableInitiateResponse - `file_id` (integer, required) - `bucket` (string, required) - `object_name` (string, required) - `initiate_url` (string, required) - `initiate_headers` (map from string to string, required) - `chunk_size` (integer, required) - `expires_at` (datetime, required) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) - `input` (any, optional) - `ctx` (ValidationErrorCtx, optional) ### ValidationErrorLocItems ### ValidationErrorCtx ## Examples **Request** ```json { "filename": "string", "mime_type": "string", "size": 1 } ``` **Response** ```json { "data": { "file_id": 1, "bucket": "string", "object_name": "string", "initiate_url": "string", "initiate_headers": {}, "chunk_size": 1, "expires_at": "2024-01-15T09:30:00Z" }, "status": "success" } ``` **SDK Code** ```python import requests url = "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/resumable/initiate" payload = { "filename": "string", "mime_type": "string", "size": 1 } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/resumable/initiate'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"filename":"string","mime_type":"string","size":1}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/resumable/initiate" payload := strings.NewReader("{\n \"filename\": \"string\",\n \"mime_type\": \"string\",\n \"size\": 1\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/resumable/initiate") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"filename\": \"string\",\n \"mime_type\": \"string\",\n \"size\": 1\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/resumable/initiate") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"filename\": \"string\",\n \"mime_type\": \"string\",\n \"size\": 1\n}") .asString(); ``` ```php request('POST', 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/resumable/initiate', [ 'body' => '{ "filename": "string", "mime_type": "string", "size": 1 }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/resumable/initiate"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"filename\": \"string\",\n \"mime_type\": \"string\",\n \"size\": 1\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [ "filename": "string", "mime_type": "string", "size": 1 ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/resumable/initiate")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```